<template>
  <div>
    <designCommon :pagePath='pagePath'></designCommon>
  </div>
</template>

<script>
import designCommon from './queryBiBaseView'
export default {
  components: { designCommon },
  data() {
    return {
      pagePath: ''
    }
  },
  inject: ['reload'],
  watch: {
    '$route.params': {
      handler(newVal) {
        const pagename = newVal.pagename
        if (pagename) {
          this.reload()
          this.pagePath = pagename
        }
      }
    }
  },
  mounted() {
    const pagename = this.$route.params.pagename
    this.pagePath = pagename
  }
}
</script>
